﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace PCSX2_Profile_Manager
{
    /// <summary>
    /// This form allows the user to select the files that are going to be saved
    /// in the profile about to be saved (yay redundant comment! :D). The code
    /// is short, so no use for code regions here either.
    /// </summary>
    public partial class frmSelectINIs : Form
    {
        public List<string> SelectedFiles { get; set; }

        public frmSelectINIs()
        {
            InitializeComponent();
        }

        private void frmSelectINIs_Load(object sender, EventArgs e)
        {
            /// We grab all the INI files in the [PCSX2Path]\inis folder
            /// and put 'em here.
            string[] INIs = Directory.GetFiles(Config.INIsPath);
            foreach(string INI in INIs)
            {
                string fileName = Path.GetFileName(INI);
                cbFiles.Items.Add(fileName, true);
            }
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            /// We loop through all the checked items and add them to a list
            /// that is going to be accessed by the caller function to do 
            /// its stuff.
            SelectedFiles = new List<string>();
            CheckedListBox.CheckedItemCollection o = cbFiles.CheckedItems;
            foreach(object c in o)
            {
                SelectedFiles.Add(c.ToString());
            }
        }

        private void btnSelectAll_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < cbFiles.Items.Count; i++) { cbFiles.SetItemChecked(i, true); }
        }

        private void btnDeselectAll_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < cbFiles.Items.Count; i++) { cbFiles.SetItemChecked(i, false); }
        }
    }
}
